Get Single Repository WebHook
GET/api/v5/repos/:owner/:repo/hooks/:id
Request
Path Parameters
owner stringrequired
Repository space address (address path of the enterprise, organization, or individual)
repo stringrequired
Repository path (path)
id stringrequired
The ID of the Webhook
Query Parameters
access_token stringrequired
User authorization code
Responses
- 200
Successful Response
Response Headers
- application/json
- Schema
- Example (auto)
- Example
Schema
idinteger
urlstring
passwordstring
resultnull
project_idinteger
result_codeinteger
push_eventsinteger
tag_push_eventsinteger
issues_eventsinteger
note_eventsinteger
merge_requests_eventsinteger
created_atstring
activeboolean
Is activated
{
"id": 0,
"url": "string",
"password": "string",
"project_id": 0,
"result_code": 0,
"push_events": 0,
"tag_push_events": 0,
"issues_events": 0,
"note_events": 0,
"merge_requests_events": 0,
"created_at": "string",
"active": true
}
{
"id": 9529,
"url": "http://duxwsqdkyx.cu/pxddddd",
"password": "123445",
"result": null,
"project_id": 282463,
"result_code": 0,
"push_events": false,
"tag_push_events": false,
"issues_events": true,
"note_events": false,
"merge_requests_events": true,
"created_at": "2024-09-26T16:13:27+08:00"
}